Subject: Re: bug#26009: libpng-apng

From: [email-masked] (Ludovic Courtès)
Date: Mon, 13 Mar 2017 14:07:03 +0100

Kei Kebreau <[email-masked]> skribis:

> For whatever reason, I can't get Guix to recognize libpng-apng as a
> package seperate from libpng (i.e. "guix build libpng-apng" returns a
> vanilla libpng directory). Do you have any idea why this is?

This is because libpng in current master has a ‘replacement’ field, and
since libpng-apng inherits from libpng, it also gets that replacement.

The fix is to write:

  (define-public libpng-apng
     (package
       (inherit libpng)
       (replacement #f)   ;libpng’s replacement doesn’t apply here
       …))

That said, please make sure the security issues fixed in ‘libpng/fixed’
are also fixed in libpng-apng!

Thanks,
Ludo’.